zsh-workers
 help / color / mirror / code / Atom feed
From: Peter Stephenson <p.w.stephenson@ntlworld.com>
To: zsh-workers@sunsite.dk
Subject: Re: Problems building 4.3.4 on FreeBSD
Date: Wed, 25 Jul 2007 21:42:30 +0100	[thread overview]
Message-ID: <200707252042.l6PKgUB2018927@pws-pc.ntlworld.com> (raw)
In-Reply-To: Message from "Renato Botelho" <rbgarga@gmail.com> of "Wed, 25 Jul 2007 16:56:07 -0300." <747dc8f30707251256q36a4f18bka028ec7e972645c3@mail.gmail.com>

"Renato Botelho" wrote:
> I figured it out, the problem is caused because some Functions and
> Completions has 0755 permissions, so, installfns.sh consider it
> executable and call install with -s.

The change that brought this in is 22341.  It looks like we need to set
the permissions separately from installing.

Ideally we still need to be more selective with the permissions somehow.
The permissions don't seem to be fixable in the archive by any obvious
means.  We could perhaps run a script to get this right in the
distribution.

Index: Config/installfns.sh
===================================================================
RCS file: /cvsroot/zsh/zsh/Config/installfns.sh,v
retrieving revision 1.13
diff -u -r1.13 installfns.sh
--- Config/installfns.sh	20 Mar 2006 11:06:24 -0000	1.13
+++ Config/installfns.sh	25 Jul 2007 20:42:08 -0000
@@ -45,10 +45,9 @@
       esac
     fi
     test -d $instdir || /bin/sh $sdir_top/mkinstalldirs $instdir || exit 1
+    $INSTALL_DATA $sdir_top/$file $instdir || exit 1
     if test -x $sdir_top/$file; then
-	$INSTALL_PROGRAM $sdir_top/$file $instdir || exit 1
-    else
-	$INSTALL_DATA $sdir_top/$file $instdir || exit 1
+	chmod +x $instdir/`echo $file | sed -e 's%^.*/%%'`
     fi
   fi
 done

-- 
Peter Stephenson <p.w.stephenson@ntlworld.com>
Web page now at http://homepage.ntlworld.com/p.w.stephenson/


  reply	other threads:[~2007-07-25 20:44 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2007-07-25 18:20 Renato Botelho
2007-07-25 18:56 ` Renato Botelho
2007-07-25 19:56   ` Renato Botelho
2007-07-25 20:42     ` Peter Stephenson [this message]
     [not found] <rbgarga@gmail.com>
2007-07-27 17:49 ` Not finding iconv and pcre Renato Botelho
2007-07-27 17:56   ` Renato Botelho
2007-07-27 19:12   ` Peter Stephenson
2007-07-30 13:50   ` Oliver Kiddle
2007-07-30 14:29     ` Renato Botelho

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=200707252042.l6PKgUB2018927@pws-pc.ntlworld.com \
    --to=p.w.stephenson@ntlworld.com \
    --cc=zsh-workers@sunsite.dk \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.vuxu.org/mirror/zsh/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).